...actually support 6.5, or are you using a custom ROM?